function bindClickToWindowOpener(id, url)	{
	$(id).click(function() {
		chrome.tabs.getSelected(null, function(tab) {
			window.open(url);
		});
	});		
}

function bindClickToLoadPage(id, url, urlSuffix) {
	$(id).click(function() {
		if (urlSuffix) {
			urloriginal = url;
			url += urlSuffix();
			//urlplus=url+urlSuffix();
		}
	
		chrome.tabs.create({
			url: url, 
			//url: urlplus, 
			active: false
		}, 
		function(tab) { 
			setTimeout(function() {
				chrome.tabs.remove(tab.id);
			}, 1000);
		url=urloriginal;
		});
	});
}

function initialise() {
	bindClickToWindowOpener('#control', 'http://admin@192.168.0.2//admin/m/#/live');
	bindClickToWindowOpener('#stream', 'http://admin@192.168.0.2/hls/channel1');
	bindClickToWindowOpener('#videos', 'http://admin@192.168.0.2/admin/channel1/archive');
	bindClickToWindowOpener('#help', 'http://www.ux-study.com/support');
	
	bindClickToLoadPage('#record', 'http://admin@192.168.0.2/admin/channel1/set_params.cgi?rec_enabled=on');
	bindClickToLoadPage('#stop', 'http://admin@192.168.0.2/admin/channel1/set_params.cgi?rec_enabled=%22%22');
	bindClickToLoadPage('#noteon', 'http://192.168.0.2/admin/set_variables.cgi?varsubtitle=', function () { return $('#subs').val(); });
	bindClickToLoadPage('#noteoff', 'http://192.168.0.2/admin/set_variables.cgi?varsubtitle=');
	bindClickToLoadPage('#markon', 'http://192.168.0.2/admin/set_variables.cgi?varnote=%2B');
	bindClickToLoadPage('#markoff', 'http://192.168.0.2/admin/set_variables.cgi?varnote=');
}

$(document).ready(function() {
	initialise();
})
